\name{stamINode-class}
\docType{class}
\alias{stamINode-class}
\alias{initialize,stamINode-method}
\alias{print,stamINode-method}
\alias{writeHTML,stamINode-method}

\title{Inner Nodes in Classifier Nets by StAM}
\description{
  Objects of this class represent inner nodes of classifier nets as they are generated by
  structured analysis of microarray data. These nodes only contain children but never 
  hold direct annotations of genes.
}
\section{Objects from the Class}{
  Objects can be created by calls of the form 
  \code{new("stamINode", ID, GOidx, children)}.
  \describe{
    \item{ID}{is the GO identifier as character string}
    \item{GOidx}{environment attributing indices to all GO indentifiers}
    \item{children}{indeces of all children}
  }
  Exactly one of \code{GOidx} and \code{children} must be defined, the other set to NULL
  (default)
}
\section{Slots}{
  \describe{
    \item{\code{children}:}{Object of class \code{"numeric"}, indeces of the node's 
      direct children in the Gene Ontology.}
    \item{\code{weights}:}{Object of class \code{"numeric"}, weights attributed to the 
      node's direct children.}
  }
  See \code{stamNode-class} fot \code{ID}, \code{category}, \code{replacedParents} and 
  \code{supNode}.
}
\section{Extends}{
  Class \code{"stamNode"}, directly.
}
\section{Methods}{
  \describe{
    \item{print}{\code{signature(x = "stamINode")}: print information on the inner node.}
    \item{writeHTML}{\code{signature(x = "stamINode")}: generate HTML information on the
      inner node.}
  }
}
\author{Claudio Lottaz}
\seealso{\code{\link{stamNode-class}}, \code{\link{stamLeaf-class}}}
\keyword{classes}
